SQ(1)

NAME
sq toolbox extract-cert - Convert a key to a cert

SYNOPSIS
sq toolbox extract-cert [OPTIONS] FILE

DESCRIPTION
Convert a key to a cert.

After generating a key, use this command to get the certificate corresponding to the key. The key must be kept secure, while the certificate should be handed out to correspondents, e.g. by uploading it to a key server.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

-o, --output=FILE
    Write to FILE or stdout if omitted

    [default: -]

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

First, generate a key

    sq key generate --userid '<juliet@example.org>' \
        --output juliet.key.pgp

Then, extract the certificate for distribution

    sq toolbox extract-cert --output juliet.cert.pgp juliet.key.pgp

SEE ALSO
sq(1), sq-toolbox(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)